Subject: Re: bug#78794: [PATCH] Pretiffy package-menu

From: Eli Zaretskii <[email-masked]>
Date: Sat, 21 Jun 2025 22:06:50 +0300

> From: Elijah Gabe Pérez <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 21 Jun 2025 12:22:17 -0600
> 
> > Byte-compiling this brings up the following warning:
> >
> >     ELC      emacs-lisp/package.elc
> >
> >   In package-menu-mode:
> >   emacs-lisp/package.el:3242:16: Warning: reference to free variable `package-menu-mode-line-format'
> 
> Thanks I've fixed it.

Thanks, will review shortly.

> > Also, I have no packages installed, but the mode line says "New: 0",
> > with the help-echo saying "Total number of new packages available".
> > This is confusing; perhaps we need to use a different word instead of
> > "New"?
> 
> How about using "Newest available"?

That's basically the same.

Can you explain what you meant by "New" here?  Then I might be able to
suggest a more clear terminology.